Configure MySQL Instance
This API creates Cloud Database Instance for MYSQL.
All the databases in the MySQL instance will be backed up after creation.
Use GET azuredb/mysql/instance API to get the instanceName and port.
- application/json
Request Body
- instanceName string
Name of the Mysql instance or 'MySQL Azure Resource Discovery' for rule based discovery instance creation
- clientId integer
- clientName string
- planId integer
credential object
Database connection credentials
id integername stringbackupGateways object[]
List of backupGateways or backupGatewayGroups for the instance backup
Optional : Not required if the useResourcePoolInfo is set to true
id integername stringtype integer3 for backupGateways, 28 for backupGatewayGroups
ruleGroups object[]
Rules to associate with the Auto discovery instance during rule based discovery instance creation
matchCriteria integerruleEntities object[]
ruleDefinition object
type integervalue stringmatchType integer- useResourcePoolInfo boolean
true if configured resource pools will be used for the jobs
mySqlInstance object
port stringDatabase endpoint or hostname
EnableAutoDiscovery boolean- version string
MySQL Instance version. Not applicable for Rule based discovery instance creation
region object
RegionInfo where the resourcepools are configured
id integername string
- 200
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
instance object
name stringid integer
{
"instance": {
"name": "string",
"id": 0
}
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
- Backup Gateway offline
- D B Info not provided
Schema
- failedStage string
- errorCode integer
errorMessage object
errorMessage stringerrorCode stringentity object
subclientId stringclientId stringinstanceName stringinstanceId string_type_ string
{
"failedStage": "string",
"errorCode": 0,
"errorMessage": {
"errorMessage": "string",
"errorCode": "string",
"entity": {
"subclientId": "string",
"clientId": "string",
"instanceName": "string",
"instanceId": "string",
"_type_": "string"
}
}
}
{
"failedStage": "PostInstance",
"errorCode": -1,
"errorMessage": {
"errorMessage": "Unable to connect to client [azmetallic5-MI] to execute [MySqlBrowseAgent].\\\\nPlease ensure that all iDataAgent software is properly installed.\\\\nAlso check network connectivity and if this product's services are running.",
"errorCode": "4444",
"entity": {
"subclientId": "0",
"clientId": "2034",
"instanceName": "mysqltestserver[eastus]",
"instanceId": "1961",
"_type_": "ROOT_ENTITY"
}
}
}
{
"failedStage": "PostInstance",
"errorCode": -1,
"errorMessage": {
"errorMessage": "Failed to create new instance.",
"errorCode": "1",
"entity": {
"subclientId": "0",
"clientId": "2034",
"instanceName": "",
"instanceId": "-1",
"_type_": "ROOT_ENTITY"
}
}
}